package com.tencent.liteav.live.ui.widget;

import com.tencent.liteav.live.R;
import com.tencent.liteav.live.model.TRTCMeetingDef;
import com.wisewoods.base.base.BaseVH;
import com.wisewoods.base.page.BasePageAdapter;

import org.jetbrains.annotations.NotNull;

/**
 * 直播间列表适配器
 */
public class LinkListAdapter extends BasePageAdapter<TRTCMeetingDef.UserInfo> {
    public LinkListAdapter() {
        super(R.layout.item_recycler_link_user_list);
        addChildClickViewIds(R.id.tv_ok, R.id.tv_cancel);
    }


    @Override
    protected void convert(@NotNull BaseVH baseVH, TRTCMeetingDef.UserInfo userInfo) {
        baseVH.setText(R.id.tv_name, userInfo.userName)
                .setNetUrl(R.id.iv_avatar, userInfo.userAvatar, R.drawable.trtcmeeting_meeting_head)
        ;
    }
}
